package net.sourceforge.barbecue.linear.code128;

import java.io.Serializable;

/**
 * 作用请见 {@link CharBuffer}
 *
 * @author sunyj
 * @since 2017/11/13 11:45
 */
public final class Accumulator implements Serializable {

    private static final long serialVersionUID = 1L;

    private int value;

    public Accumulator(int var1) {
        this.value = var1;
    }

    public int getValue() {
        return this.value;
    }

    public void add(int var1) {
        this.value += var1;
    }

    public void increment() {
        ++this.value;
    }
}
